WP3FootnoteEndnoteGroup Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP3FootnoteEndnoteGroup Class Reference

`#include <WP3FootnoteEndnoteGroup.h>`

Inheritance diagram for WP3FootnoteEndnoteGroup:

## Public Member Functions
| WP3FootnoteEndnoteGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3FootnoteEndnoteGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP3Listener *listener)
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
virtual | ~WP3VariableLengthGroup ()
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Member Functions
| WP3FootnoteEndnoteGroup (const WP3FootnoteEndnoteGroup &)
WP3FootnoteEndnoteGroup & | operator= (const WP3FootnoteEndnoteGroup &)

## Private Attributes
WP3SubDocument * | m_subDocument

## Additional Inherited Members
Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

WP3FootnoteEndnoteGroup::WP3FootnoteEndnoteGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

WP3FootnoteEndnoteGroup::~WP3FootnoteEndnoteGroup | ( |  | ) |

WP3FootnoteEndnoteGroup::WP3FootnoteEndnoteGroup | ( | const WP3FootnoteEndnoteGroup & |  | ) |
| private

## Member Function Documentation

void WP3FootnoteEndnoteGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP3VariableLengthGroup.

WP3FootnoteEndnoteGroup& WP3FootnoteEndnoteGroup::operator= | ( | const WP3FootnoteEndnoteGroup & |  | ) |
| private

void WP3FootnoteEndnoteGroup::parse | ( | WP3Listener * | listener | ) |
| virtual

Implements WP3Part.

## Member Data Documentation

WP3SubDocument* WP3FootnoteEndnoteGroup::m_subDocument
| private

Referenced by _readContents(), parse(), and ~WP3FootnoteEndnoteGroup().

The documentation for this class was generated from the following files:

- WP3FootnoteEndnoteGroup.h
- WP3FootnoteEndnoteGroup.cpp